Skip to Content
author's profile photo Former Member
Former Member

java.lang.UnsupportedClassVersionError: Bad version number in .class file

Hi All,

I have installed CE CS3. Installation was successfull.

But while running simple webdynpro application developed using NWDS, I am getting error as below:

java.lang.UnsupportedClassVersionError: Bad version number in .class file

What could be the possible error?

Thanks

Add a comment
10|10000 characters needed characters exceeded

Related questions

1 Answer

  • Best Answer
    Posted on Dec 01, 2007 at 05:13 PM

    Hi Haresh,

    I guess you mean CE 7.1 SP3.

    Seems that you've built your application with a higher JDK version than the one the CE runtime is running on. By default the CE server is installed with SAP JDK 5, so most likely you've built your WD app with JDK 6. Check the NWDS preferences.

    HTH!

    -- Vladimir

    Add a comment
    10|10000 characters needed characters exceeded

Before answering

You should only submit an answer when you are proposing a solution to the poster's problem. If you want the poster to clarify the question or provide more information, please leave a comment instead, requesting additional details. When answering, please include specifics, such as step-by-step instructions, context for the solution, and links to useful resources. Also, please make sure that you answer complies with our Rules of Engagement.
You must be Logged in to submit an answer.

Up to 10 attachments (including images) can be used with a maximum of 1.0 MB each and 10.5 MB total.